Page MenuHomeFreeBSD

libpmc: pmc_init() should avoid overflowing pmc_class_table
ClosedPublic

Authored by tsoome on Aug 31 2022, 11:14 AM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 12 2024, 3:18 AM
Unknown Object (File)
Jan 4 2024, 12:59 PM
Unknown Object (File)
Jan 4 2024, 12:59 PM
Unknown Object (File)
Jan 4 2024, 12:59 PM
Unknown Object (File)
Jan 4 2024, 12:59 PM
Unknown Object (File)
Jan 4 2024, 12:59 PM
Unknown Object (File)
Jan 4 2024, 12:59 PM
Unknown Object (File)
Jan 4 2024, 12:46 PM
Subscribers

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

50 enumeration values not handled in switch

jrtc27 added inline comments.
lib/libpmc/libpmc.c
1476

Presumably this was a hacky alternative way to write that pm_classes contained a PMC_CLASS_TSC? I imagine this check is now redundant.

1607

Should we have an equivalent of this for the classes case? Also for the ARMV7/8 switches we now have? I guess continuing with the subset libpmc has been taught about is helpful, but silently not getting a set of counters also isn't...

tsoome marked an inline comment as done.

review feedback.

tsoome added inline comments.
lib/libpmc/libpmc.c
1476

I have no idea about the history there, but yea, if the kernel does know about PMC_CLASS_TSC, it makes little sense to filter it out.

1607

Yes, good point.

This revision was not accepted when it landed; it landed in state Needs Review.Sep 5 2022, 12:39 PM
This revision was automatically updated to reflect the committed changes.
tsoome marked an inline comment as done.